package com.friday.operation.api.keepalive.constant.taieoc;

public class TableName {

    public static final TableName OC_INFO_PAGE;
    public static final String OC_INFO_PAGE_NAME = "OC_INFO_PAGE";
    public static final String OC_INFO_PAGE_NAME_CH = "中控信息";

    public static final TableName OC_TENANT_PAGE;
    public static final String OC_TENANT_PAGE_NAME = "OC_TENANT_PAGE";
    public static final String OC_TENANT_PAGE_NAME_CH = "租户信息";

    public static final TableName OC_GROUP_PAGE;
    public static final String OC_GROUP_PAGE_NAME = "OC_GROUP_PAGE";
    public static final String OC_GROUP_PAGE_NAME_CH = "中控组信息";

    public static final TableName OC_BADGE_PAGE;
    public static final String OC_BADGE_PAGE_NAME = "OC_BADGE_PAGE";
    public static final String OC_BADGE_PAGE_NAME_CH = "工牌列表";

    static{
        OC_INFO_PAGE = valueOf(OC_INFO_PAGE_NAME, OC_INFO_PAGE_NAME_CH);
        OC_TENANT_PAGE = valueOf(OC_TENANT_PAGE_NAME,OC_TENANT_PAGE_NAME_CH);
        OC_GROUP_PAGE = valueOf(OC_GROUP_PAGE_NAME, OC_GROUP_PAGE_NAME_CH);
        OC_BADGE_PAGE = valueOf(OC_BADGE_PAGE_NAME, OC_BADGE_PAGE_NAME_CH);
    }

    private final String tableName;
    private final String tableNameCH;

    private static TableName valueOf(String tableName, String tableNameCH) {
        return new TableName(tableName, tableNameCH);
    }
    private TableName(String tableName, String tableNameCH){
        this.tableName = tableName;
        this.tableNameCH = tableNameCH;
    }

    public String getTableName() {
        return this.tableName;
    }

    public String getTableNameCH() {
        return this.tableNameCH;
    }
}
